Module javafx.controls
Package javafx.scene.control

## Class TableView.ResizeFeatures<S>

- java.lang.Object
- - javafx.scene.control.ResizeFeaturesBase<S>
  - - javafx.scene.control.TableView.ResizeFeatures<S>

- Enclosing class:
    TableView<S>

      public static class TableView.ResizeFeatures<S>
      extends ResizeFeaturesBase<S>

  An immutable wrapper class for use in the TableView `column resize` functionality.
  Since:
    JavaFX 2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResizeFeatures​(TableView<S> table, TableColumn<S,​?> column, Double delta)` | Creates an instance of this class, with the provided TableView, TableColumn and delta values being set and stored in this immutable instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TableColumn<S,​?>` | `getColumn()` | Returns the column upon which the resize is occurring, or null if this ResizeFeatures instance was created as a result of a TableView resize operation.
    `TableView<S>` | `getTable()` | Returns the TableView upon which the resize operation is occurring.

    - ### Methods inherited from class javafx.scene.control.ResizeFeaturesBase

      `getDelta`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResizeFeatures

          public ResizeFeatures​(TableView<S> table,
                                TableColumn<S,​?> column,
                                Double delta)

      Creates an instance of this class, with the provided TableView, TableColumn and delta values being set and stored in this immutable instance.
      Parameters:
        `table` - The TableView upon which the resize operation is occurring.
        `column` - The column upon which the resize is occurring, or null if this ResizeFeatures instance is being created as a result of a TableView resize operation.
        `delta` - The amount of horizontal space added or removed in the resize operation.

  - ### Method Detail

    - #### getColumn

          public TableColumn<S,​?> getColumn()

      Returns the column upon which the resize is occurring, or null if this ResizeFeatures instance was created as a result of a TableView resize operation.
      Overrides:
        `getColumn` in class `ResizeFeaturesBase<S>`
      Returns:
        the column upon which the resize is occurring

    - #### getTable

          public TableView<S> getTable()

      Returns the TableView upon which the resize operation is occurring.
      Returns:
        the TableView